<h2>Moderators management</h2>

<nz-table #moderatorsTable [nzData]="list" [nzLoading]="isLoading" nzSize="small">
  <thead>
    <tr>
      <th>Name</th>
      <th>Status</th>
      <th nzAlign="center">
        <button nz-button nzType="default" nzShape="round" nz-tooltip nzTooltipTitle="Add new" (click)="add()" nzSize="small">
          <i class="fas fa-plus"></i>
        </button>
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of moderatorsTable.data">
      <td width="40%">
        <img [src]="data.avatar" width="30" height="30" style="margin-right: 4px" />
        <a href="/citizen/{{ data.id }}" target="_blank">
          {{ data.name }}
        </a>
      </td>
      <td width="40%">
        <nz-tag [nzColor]="'green'" *ngIf="data.isActive === true">Active</nz-tag>
        <nz-tag [nzColor]="'red'" *ngIf="data.isActive === false">Inactive</nz-tag>
      </td>
      <td width="20%">
        <nz-button-group nzSize="small">

          <button nz-button nzType="default" nzShape="round" nz-tooltip nzSize="small"
            nzTooltipTitle="Permissions" (click)="permissions(data)">
            <i class="fas fa-key"></i>
          </button>

          <button nz-button nzType="default" nzShape="round" nz-tooltip nzTooltipTitle="Logs" nzSize="small" (click)="logs(data)">
            <i class="fas fa-list-ul"></i>
          </button>

          <button *ngIf="data.isActive === true" nz-button nzType="default" nzShape="round" nz-tooltip nzSize="small"
            nzTooltipTitle="Remove" (click)="remove(data.id)">
            <i class="fas fa-trash-alt"></i>
          </button>
        </nz-button-group>
      </td>
    </tr>
  </tbody>
</nz-table>
